Loading...
Searching...
No Matches
pcl::detail::AccumulatorIntensity Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_intensity< boost::mpl::_1 >

## Public Member Functions

template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, std::size_t n) const

## Public Attributes

float | intensity = 0

## Detailed Description

Definition at line 164 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorIntensity::IsCompatible = pcl::traits::has_intensity<boost::mpl::_1>

Definition at line 168 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorIntensity::add | ( | const PointT & | t | ) |

inline

Definition at line 174 of file accumulators.hpp.

References intensity.

## get()

template<typename PointT >

void pcl::detail::AccumulatorIntensity::get | ( | PointT & | t,
|  | std::size_t | n
| ) |  | const

inline

Definition at line 177 of file accumulators.hpp.

References intensity.

## Member Data Documentation

## intensity

float pcl::detail::AccumulatorIntensity::intensity = 0

Definition at line 171 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp